Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_Reassembly Class Reference

Reassemble multiple data fragments into a single data message. More...

`#include <RMCast_Reassembly.h>`

Inheritance diagram for ACE_RMCast_Reassembly:

[legend]
Collaboration diagram for ACE_RMCast_Reassembly:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_Reassembly (void)
| Constructor. More...
virtual | ~ACE_RMCast_Reassembly (void)
| Destructor. More...
virtual int | close (void)
| We cleanup the resources in the destructor. More...
virtual int | data (ACE_RMCast::Data &data)
| Push data through the stack. More...
## Private Types
typedef ACE_Hash_Map_Manager< ACE_UINT32, ACE_RMCast_Partial_Message *, ACE_Null_Mutex > | Message_Map
typedef ACE_Hash_Map_Iterator< ACE_UINT32, ACE_RMCast_Partial_Message *, ACE_Null_Mutex > | Message_Map_Iterator
## Private Methods
void | close_i (void)
| Cleanup resources, but do not close the other modules in the stack. More...
## Private Attributes
ACE_SYNCH_MUTEX | mutex_
| A mutex used to synchronize all the internal operations. More...
Message_Map | messages_
| A map, indexed by sequence number, of the partially received messages. More...

## Detailed Description

Reassemble multiple data fragments into a single data message.

Data messages may not fit in a single MTU in the transport layer, in that case the application configure a RMCast_Fragment module on the sender side. On the receiver side this layer reassemble the messages sent from a single source, and passes the messages up the stream.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<ACE_UINT32,ACE_RMCast_Partial_Message*,ACE_Null_Mutex> ACE_RMCast_Reassembly::Message_Map`[private]`

typedef ACE_Hash_Map_Iterator<ACE_UINT32,ACE_RMCast_Partial_Message*,ACE_Null_Mutex> ACE_RMCast_Reassembly::Message_Map_Iterator`[private]`

## Constructor & Destructor Documentation

ACE_RMCast_Reassembly::ACE_RMCast_Reassembly | ( | void |  | ) |

| Constructor.

ACE_RMCast_Reassembly::~ACE_RMCast_Reassembly | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_RMCast_Reassembly::close | ( | void |  | ) | `[virtual]`

| We cleanup the resources in the destructor. Reimplemented from ACE_RMCast_Module.

void ACE_RMCast_Reassembly::close_i | ( | void |  | ) | `[private]`

| Cleanup resources, but do not close the other modules in the stack.

int ACE_RMCast_Reassembly::data | ( | ACE_RMCast::Data & | data | ) | `[virtual]`

| Push data through the stack. Reimplemented from ACE_RMCast_Module.

## Member Data Documentation

Message_Map ACE_RMCast_Reassembly::messages_`[private]`

| A map, indexed by sequence number, of the partially received messages.

ACE_SYNCH_MUTEX ACE_RMCast_Reassembly::mutex_`[private]`

| A mutex used to synchronize all the internal operations.

The documentation for this class was generated from the following files:

- RMCast_Reassembly.h
- RMCast_Reassembly.cpp